<template>
  <div class="flexible-content">
    <!--Navbar-->
    <mdb-navbar class="flexible-navbar white" light position="top" scrolling>
      <mdb-icon icon="bars" @click="navbar = !navbar" class="mx-2 pl-3 text-orange d-none" />
      <mdb-navbar-brand href="https://mdbootstrap.com/docs/vue/" target="_blank"
        >SeeToWork</mdb-navbar-brand
      >
      <mdb-navbar-toggler>
      
        <mdb-navbar-nav right>

          <mdb-nav-item
            waves-fixed
            class="border border-black rounded mr-1"
            ><mdb-icon icon="user" class="mr-2" />{{this.user.name}}
          </mdb-nav-item>

          <div @click="sair">
            <mdb-nav-item
            waves-fixed
            class="border border-danger rounded  mr-1"
            ><span class="text-danger">Sair</span><mdb-icon icon="sign-in-alt" class="mr-2 text-danger" />
          </mdb-nav-item>
          </div>

          <div class="d-lg-none d-block">
            <mdb-list-group class="list-group-flush">
              <div @click="page(1)" v-if="user.type == 2">
                <mdb-nav-item
                  :action="true"
                  :class="encomendas && 'active'"
                  ><mdb-icon
                    icon="home"
                    class="mr-3"
                  />Encomendas</mdb-nav-item
                >
              </div>
              <div @click="page(2)" v-if="user.type == 2">
                <mdb-nav-item
                  :action="true"
                  :class="etapas && 'active'"
                  ><mdb-icon icon="table" class="mr-3" />Etapas do projeto</mdb-nav-item
                >
             </div>
            <div @click="page(3)" >
                <mdb-nav-item
                  :action="true"
                  :class="rastreio && 'active'"
                  ><mdb-icon icon="map" class="mr-3" />Rastreio</mdb-nav-item
                >
            </div>
            <div @click="page(4)" v-if="user.type == 2">
              <mdb-nav-item
                :action="true"
                :class="bad && 'active'"
                ><mdb-icon icon="exclamation" class="mr-3" />Reportar Problema</mdb-nav-item
              >
            </div>
            <div @click="page(5)" v-if="user.type == 1">
              <mdb-nav-item
                :action="true"
                :class="cli && 'active'"
                ><mdb-icon icon="user" class="mr-3" />Clientes</mdb-nav-item
              >
            </div>
            <div @click="page(6)" v-if="user.type == 1">
          <mdb-nav-item
            :action="true"
            :class="servico && 'active'"
            ><mdb-icon icon="table" class="mr-3" />Servico</mdb-nav-item
          >
        </div>
            </mdb-list-group>
          </div>

        </mdb-navbar-nav>
      </mdb-navbar-toggler>
    </mdb-navbar>
    <!--/.Navbar-->
    <!-- Sidebar -->
    <div  class="sidebar-fixed position-fixed">
      <a class="logo-wrapper"
        ><img alt="" class="img-fluid" src="../assets/logo-seetowork.png" 
      /></a>
      <mdb-list-group class="list-group-flush">
        <div @click="page(1)" v-if="user.type == 2">
          <mdb-list-group-item
            :action="true"
            :class="encomendas && 'active'"
            ><mdb-icon
              icon="home"
              class="mr-3"
            />Encomendas</mdb-list-group-item
          >
        </div>
        <div @click="page(2)" v-if="user.type == 2">
          <mdb-list-group-item
            :action="true"
            :class="etapas && 'active'"
            ><mdb-icon icon="table" class="mr-3" />Etapas do projeto</mdb-list-group-item
          >
        </div>
        <div @click="page(3)" >
          <mdb-list-group-item
            :action="true"
            :class="rastreio && 'active'"
            ><mdb-icon icon="map" class="mr-3" />Rastreio</mdb-list-group-item
          >
        </div>
        <div @click="page(4)" v-if="user.type == 2">
          <mdb-list-group-item
            :action="true"
            :class="bad && 'active'"
            ><mdb-icon icon="exclamation" class="mr-3" />Reportar Problema</mdb-list-group-item
          >
        </div>
        <div @click="page(5)" v-if="user.type == 1">
          <mdb-list-group-item
            :action="true"
            :class="cli && 'active'"
            ><mdb-icon icon="user" class="mr-3" />Clientes</mdb-list-group-item
          >
        </div>
        <div @click="page(6)" v-if="user.type == 1">
          <mdb-list-group-item
            :action="true"
            :class="servico && 'active'"
            ><mdb-icon icon="table" class="mr-3" />Servico</mdb-list-group-item
          >
        </div>
      </mdb-list-group>
    </div>
    <!-- /Sidebar  -->

    <main>
      <div class="mt-5 p-md-5 px-1 py-5">
            <Home v-if="home"  />
            <BadGateway v-if="bad" />
            <Rastreio v-if="rastreio" />
            <Etapas v-if="etapas" />
            <Encomendas v-if="encomendas" />
            <Cliente v-if="cli" />
            <Servico v-if="servico" />
      </div>

    </main>
  </div>
</template>

<script>
import Encomendas from '@/components/Encomendas'
import Etapas from '@/components/Etapas'
import Rastreio from '@/components/Rastreio'
import BadGateway from '@/components/BadGateway'
import Home from '@/components/Home'
import Cliente from '@/components/Cliente'
import Servico from '@/components/Servico'

import {
  mdbNavbar,
  mdbNavbarBrand,
  mdbNavItem,
  mdbNavbarNav,
  mdbNavbarToggler,
  // mdbBtn,
  mdbIcon,
  mdbListGroup,
  mdbListGroupItem,
  // mdbFooter,
  waves
} from "mdbvue";

export default {
  name: "AdminTemplate",
  components: {
    Home,
    BadGateway,
    Rastreio,
    Etapas,
    Encomendas,
    Cliente,
    Servico,

    mdbNavbar,
    mdbNavbarBrand,
    mdbNavItem,
    mdbNavbarNav,
    mdbNavbarToggler,
    // mdbBtn,
    mdbListGroup,
    mdbListGroupItem,
    mdbIcon,
    // ftr: mdbFooter
  },
  data() {
    return {
      user : {
        id: null,
        name: null,
        email: null,
        senha: null,
        phone: null,
        cpf: null,
        type: null
      },
      activeItem: 0,
      home: true,
      bad: false,
      etapas: false,
      rastreio: false,
      encomendas: false,
      cli: false,
      servico: false
      // navbar: true
    };
  },
  methods:{
    page(event){
      
      this.home = false
      this.bad = false
      this.etapas = false
      this.rastreio = false
      this.encomendas = false
      this.cli = false
      this.servico = false

      switch (event) {
        case 1:
          this.encomendas = true
          break;
        case 2:
          this.etapas = true
          break;  
        case 3:
          this.rastreio = true
          break;
        case 4:
          this.bad = true
          break;
        case 5:
          this.cli = true
          break;
        case 6:
          this.servico = true
          break;
      
        default:
          break;
      }

    },
    sair(){
      localStorage.removeItem('login')
      localStorage.removeItem('user')
      this.$router.push('/login')
    },
    checkLogin(){
      let login = localStorage.getItem('login')
      !login ? this.$router.push('/login') : this.insertUser()
    },
    insertUser(){
      let userBD = JSON.parse(localStorage.getItem('user'))
      this.user = {
        id: userBD.id,
        name: userBD.data.name,
        email: userBD.email,
        senha: userBD.senha,
        phone: userBD.data.phone,
        cpf: userBD.data.cpf,
        type: userBD.type
      }
      // console.log(this.user)
    }
  },
  mounted(){
    this.checkLogin()
  },
  beforeMount() {
    // this.activeItem = this.$route.matched[0].props.default.page;
  },
  mixins: [waves]
};
</script>

<style>
@import url("https://fonts.googleapis.com/css?family=Roboto:300,400,500,700&display=swap");
.navbar-light .navbar-brand {
  margin-left: 15px;
  color: #ffae00 !important;
  font-weight: bolder;
}
</style>

<style scoped>
main {
  background-color: #ededee;
}
.home {
  min-height: calc(100vh - 145px);
}
.flexible-content {
  transition: padding-left 0.3s;
  padding-left: 270px;
}

.flexible-navbar {
  transition: padding-left 0.5s;
  padding-left: 270px;
}

.sidebar-fixed {
  left: 0;
  top: 0;
  height: 100vh;
  width: 270px;
  box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.16), 0 2px 10px 0 rgba(0, 0, 0, 0.12);
  z-index: 1050;
  background-color: #fff;
  padding: 1.5rem;
  padding-top: 0;
}

.sidebar-fixed .logo-wrapper img {
  width: 100%;
  padding: 2.5rem;
}

.sidebar-fixed .list-group-item {
  display: block !important;
  transition: background-color 0.3s;
}

.sidebar-fixed .list-group .active {
  box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.16), 0 2px 10px 0 rgba(0, 0, 0, 0.12);
  border-radius: 5px;
}

@media (max-width: 991px) {
  .sidebar-fixed {
    display: none;
  }
  .flexible-content {
    padding-left: 0;
  }
  .flexible-navbar {
    padding-left: 10px;
  }
}
</style>
